Subject: Re: bug#36733: 27.0.50; Eshell taking long time to enter directory after TAB completion

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Jul 2019 13:08:13 +0300

> Date: Sat, 20 Jul 2019 11:07:20 +0200
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> This is what I have done:
> 
> $ emacs -Q
> 
> Then I started profiler, and within Emacs I went
> to em-dirs.el.gz and clicked L to load the file
> 
> Then I started eshell and did following:
> 
> Welcome to the Emacs shell
> 
> ~ $ cd Programming/
> ~/Programming $ cd ..
> ~ $ cd Documents/
> ~/Documents $ cd ..
> ~ $ cd tmp
> ~/tmp $ cd ..
> ~ $ cd tmp/
> ~/tmp $ cd ..
> ~ $ cd Media/
> ~/Media $
> 
> Here is the report:

Thanks.  I don't see eshell/cd anywhere in this report, so it's hard
to glean anything useful from the profile.

Please modify your procedure as follows:

  emacs -Q
  M-x load-library RET em-dirs.el RET
  M-x eshell RET
  M-x profiler-start RET RET
  ~ $ cd Programming/
  ~/Programming $ cd ..
  ~ $ cd Documents/
  ~/Documents $ cd ..
  ~ $ cd tmp
  ~/tmp $ cd ..
  ~ $ cd tmp/
  ~/tmp $ cd ..
  ~ $ cd Media/
  ~/Media $
  M-x profiler-report RET

IOW, start the profiler just before you start the Eshell commands.

If the results don't show eshell/cd in the profile, or if the
percentage for that is too low, perhaps repeat the recipe with more
"cd" commands.

Thanks.